Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5468 - "smc-ultra" and "wd" kernel modules broken
Summary: "smc-ultra" and "wd" kernel modules broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-01 18:35 UTC by emmet
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 14:59:15 UTC


Attachments (Terms of Use)

Description emmet 1999-10-01 18:35:08 UTC
Using kernel-2.2.5-22 (other details at the end)

The "smc-ultra" module caused a kernel oops on rmmod, but
that's been fixed by a patch. Duly applied.

Nevertheless, the patched "smc-ultra" loads (apart entirely
from the very annoying and persistent "-22"/"-15" at the
end of the kernel version... grrrr), and ifconfig shows the
interface to be up and running as expected.

Pings to self succeed. Pings to other hosts on the network
fail with "100% packet loss. No "host unreachable" or
anything that might be suggestive of some other
misconfiguration. The netmask, broadcast, address, io, irq,
cable integrity, etc... have been checked extensively and
rigorously.

Ditto for the "wd" module in another machine.

Now, both of these worked just fine on 5.2 on the same
machines, and other cards (DE-100s, 4-DIM16s) work fine in
6.0 on the same machines.

Now here's a _really_ funny thing.

Carry out the following steps:
#insmod 8390
#insmod smc-ultra
(Probes and finds card at correct io & irq)
#rmmod smc-ultra
#insmod wd
(Probes and finds card at correct io, wrong irq)
#rmmod wd
(Removes module)
#insmod wd
(Card isn't found, device/resource busy)


Now, it *shouldn't* really find a wd, but once the smc-
ultra module has "been there" it *does*. The wd module
won't go in unless the smc-ultra module has been there
directly beforehand.

This suggests that the smc-ultra module is "leaving
something behind".

"Curiouser and curiouser", said Alice.

This "bugzilla", the lkml archives, and the linux-net ml
archives have been searched and browsed for a possible
solution. No luck.

The SMC Ultra(16b/ISA combo) is in an 80486DX4-120/64M
The SMC Elite(? works in 5.2 w/ wd.o) is a P60/16M

Regards,

Emmet.

------- Additional Comments From   10/20/99 14:22 -------
FTP'ed the 2.2.12-20 kernel sources & headers from RH6.1 (on the above
otherwise RH6.0 system). Built new kernels.

"smc-ultra" _still_ doesn't work as a module or compiled-in in this
case either. I suspect that this also affects RH6.1.

As a module, there are unresolved symbols (and warnings) from 8390.o,
8390.o doesn't get installed with "make modules_install", and insmod
fails with a whimper about being unable to determine the kernel
version ( -f doesn't help )

When "compiled-in", the above oddball ping behaviour is still present.
Whipping out the smc-ultra and putting in an old DE100 still works
just fine.

Regards (again)

Emmet.

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 Bernhard Rosenkraenzer 2000-02-16 14:59:59 UTC
Works for me with 2.2.14-2.0


Note You need to log in before you can comment on or make changes to this bug.